Bug 1415712 (CVE-2017-5581) - CVE-2017-5581 tigervnc: Buffer overflow in ModifiablePixelBuffer::fillRect
Summary: CVE-2017-5581 tigervnc: Buffer overflow in ModifiablePixelBuffer::fillRect
Status: CLOSED ERRATA
Alias: CVE-2017-5581
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170113,reported=2...
Keywords: Security
Depends On: 1415719 1416289 1416290
Blocks: 1386080 1415638 1415718
TreeView+ depends on / blocked
 
Reported: 2017-01-23 14:10 UTC by Adam Mariš
Modified: 2019-06-11 11:13 UTC (History)
4 users (show)

(edit)
A buffer overflow flaw, leading to memory corruption, was found in TigerVNC viewer. A remote malicious VNC server could use this flaw to crash the client vncviewer process resulting in denial of service.
Clone Of:
(edit)
Last Closed: 2019-06-08 03:05:58 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0630 normal SHIPPED_LIVE Moderate: tigervnc security and bug fix update 2017-03-21 12:29:39 UTC
Red Hat Product Errata RHSA-2017:2000 normal SHIPPED_LIVE Moderate: tigervnc and fltk security, bug fix, and enhancement update 2017-08-01 18:33:08 UTC

Description Adam Mariš 2017-01-23 14:10:24 UTC
A buffer overflow vulnerability in ModifiablePixelBuffer::fillRect in vncviewer was found allowing malicious VNC server to send crafted RRE message and possibly take control of the TigerVNC viewer.

Upstream patch:

https://github.com/TigerVNC/tigervnc/commit/18c020124ff1b2441f714da2017f63dba50720ba

PR:

https://github.com/TigerVNC/tigervnc/pull/399

Reference:

http://seclists.org/oss-sec/2017/q1/166

Comment 1 Adam Mariš 2017-01-23 14:17:27 UTC
Created tigervnc tracking bugs for this issue:

Affects: fedora-all [bug 1415719]

Comment 2 Jan Grulich 2017-01-23 17:56:50 UTC
This fix has been merged to tigervnc 1.7.1 which is already included in Fedora and pushed as regular update. Not sure whether I should change the update description and type or leave it as it is.

Comment 9 Adam Mariš 2017-01-25 10:09:51 UTC
CVE assignment:

http://seclists.org/oss-sec/2017/q1/189

Comment 11 errata-xmlrpc 2017-03-21 09:53:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:0630 https://rhn.redhat.com/errata/RHSA-2017-0630.html

Comment 12 errata-xmlrpc 2017-08-01 20:51:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2000 https://access.redhat.com/errata/RHSA-2017:2000


Note You need to log in before you can comment on or make changes to this bug.